<template>
  <div data-app>
    <v-dialog v-model="open" max-width="500" max-height="315" data-cy="modal-delete" class="box-card">
      <v-card class="dialog-card">
        <div class="modal-header">
          <v-card-text>
            <div class="mt-5">
              <img src="@/assets/icon-alert.svg" alt="alert" data-cy="modal-delete-icon" />
            </div>
          </v-card-text>
        </div>
        <div class="modal-body">
          <v-card-text>
            <div data-cy="modal-delete-title">
              <p>
                Apakah anda yakin menghapus activity <strong>"{{ dataActivity.title }}"</strong>?
              </p>
            </div>
          </v-card-text>
        </div>

        <div>
          <v-card-text>
            <v-row class="modal-footer">
              <div><v-btn color="#f4f4f4" class="btn-batal" @click="batal()" data-cy="modal-delete-cancel-button">Batal</v-btn></div>
              <div><v-btn color="#ed4c5c" class="btn-delete text-white" @click="onDelete()" data-cy="modal-delete-confirm-button">Hapus</v-btn></div>
            </v-row>
          </v-card-text>
        </div>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "DialogDelete",
  props: {
    isOpen: {
      type: Boolean,
      default: false,
    },
    dataActivity: {
      type: Object,
      default: () => {},
    },
  },
  data() {
    return {
      //   open: this.isOpen,
    };
  },
  methods: {
    ...mapActions(["deleteActivity"]),
    batal() {
      this.$emit("update:isOpen", false);
    },
    onDelete() {
      this.deleteActivity(this.dataActivity.id);
      this.$emit("update:isOpen", false);
    },
  },
  computed: {
    open: {
      get: function () {
        return this.isOpen;
      },
      set: function (newValue) {
        this.$emit("update:isOpen", newValue);
      },
    },
    id: {
      get: function () {
        return this.idActivity;
      },
    },
  },
};
</script>

<style lang="scss" scoped></style>
